Name: warden
Version: 0.12.0
Release: 0%{?dist}
Summary: Warden

License: MIT
Url: https://github.com/davidalger/warden
Source0: %{url}/archive/%{version}/%{version}.tar.gz
 
BuildArch: noarch
 
Requires: bash
Requires: docker-compose
Requires: openssl

%description
Warden is a CLI utility for orchestrating Docker based developer environments,
and enables multiple local environments to run simultaneously without port
conflicts via the use of a few centrally run services for proxying requests
into the correct environment's containers.
 
#-- PREP, BUILD & INSTALL -----------------------------------------------------#
%prep
%autosetup

%install

mkdir -p %{buildroot}/opt/warden
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}/etc/systemd/resolved.conf.d

cp -r bin           %{buildroot}/opt/warden
cp -r commands      %{buildroot}/opt/warden
cp -r config        %{buildroot}/opt/warden
cp -r docker        %{buildroot}/opt/warden
cp -r images        %{buildroot}/opt/warden
cp -r environments  %{buildroot}/opt/warden
cp -r utils         %{buildroot}/opt/warden
cp    version       %{buildroot}/opt/warden

ln -s /opt/warden/bin/warden %{buildroot}%{_bindir}/warden

echo -e "[Resolve]\nDNS=127.0.0.1\nDomains=~test\n" > %{buildroot}/etc/systemd/resolved.conf.d/warden.conf

%posttrans
systemctl status systemd-resolved && systemctl restart systemd-resolved

#-- FILES ---------------------------------------------------------------------#
%files
%doc README.md
%license LICENSE
/opt/warden
%{_bindir}/warden
%config(noreplace) /etc/systemd/resolved.conf.d/warden.conf

#-- CHANGELOG -----------------------------------------------------------------#
%changelog

